package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单开锁请求参数
 */
@Data
public class OrderOpenDeviceDTO {
    @ApiModelProperty("订单id")
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty("手机定位经度")
    private BigDecimal lon;

    @ApiModelProperty("手机定位纬度")
    private BigDecimal lat;

    @ApiModelProperty("IOT是否必须成功")
    private Boolean requiredIot;
}
